erfan4

مشکل در ساخت پروژه

28 ارسال در این موضوع قرار دارد

سلام و خسته نباشید خدمت شما عزیزان:heart:

من قبلا ایکلیپس و sdk رو داشتم و برنامه نویسی اندروید کار میکردم تا چند روز پیش که ویندوز عوض کردم و مجبور شدم دوباره ایکلیپس و sdk رو نصب کنم حالا که اونو نصب کردم یه مشکل برام پیش اومده(تمام مراحل نصبو مثل قبل رفتم و تمام api هایی رو که قبلا داشتم دوباره نصب کردم)

مشکل اینه که وقتی توی درست کردن پروژه جدید minimum نسخه اندروید رو  روی اندروید زیر 4 که تنظیم میکنم (مثلا api7 یا api8 ) وقتی میزنم رو فینیش تا پروژه درست بشه به من ارور میده و نمیشه لازم به ذکره که بگم قبلا با همین api های پایین میشد پروژه درست کنم و خود ایکلیپس یه فولدر دیگه کنار فولدر اصلی پروژه من درست میکرد ولی الان وقتی پروژه رو میسازم فقط یه فولدر درست میشه و ارور میده و با مینی موم api زیر 15 نمیتونم پروژه بسازم.

متن ارور هم اینه:

C:\Users\erfan\Documents\android\project1\res\values-v14\styles.xml:8: error: Error retrieving parent for item: No resource found that matches the given name 'Theme.AppCompat.Light.DarkActionBar'.

ضمنا وقت درست کردن پروژه تم رو هم none انتخاب میکنم ولی بازم همین ارور رو تو قسمت console میده:huh:

خواهش میکنم کمک کنید خیلی ضروریه:(

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

الان به این لینک رفتم اگه به عکسی که دوستمون فرستاده نگاه کنید میبینید که یه فولدر با نام appcompate_v7 در کنار فایل اصلی پروژه هست. مشکل اصلی منم همینه قبلا یه پروژه که با ورژن اندروید پایین درست میکردم همین فولدر برای منم درست میشد و مشکلی نداشتم ولی الان دیگه این فولدر برای من درست نمیشه فکر کنم مشکل از همینجا باشه:huh:

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

appcompate_v7 برای ADT23 به بعد است ورژن ADT شما چنده؟ ADT رو چطور نصب کردین؟ قبلا Eclipse شما خوب بود الان دچار مشکل شدید؟

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

appcompate_v7 برای ADT23 به بعد است ورژن ADT شما چنده؟ ADT رو چطور نصب کردین؟ قبلا Eclipse شما خوب بود الان دچار مشکل شدید؟

adt من ورژن 23 هست و از منوی help گزینه install new software اونو نصب کردم و ضاهرا نصب شده ولی یه مشکل هست اونم اینه که وقتی adt رو نصب کردم چند تا گزینه مربوط به اندروید که درست اسمشونو نمیدونم باید به نوار ابزار های ایکلیپس اضاف بشه که نشده ولی قبلا اضاف شده بود اما وقتی تو ایکلیپس در منوی help قسمت install details نگاه میکنم ضاهرا همش نصب شده.

بله قبلا ایکلیپس من درست کار میکرد اما وقتی مجبور شدم پاکش کنم و دوباره نصب کردن اینطور شد.

من حداقل نمیدونم این ارور از کجا هست و چی میگه که ببینم کجای کار میلنگه ولی وقتی دوباره نصبش کردم دوتا تفاوت نسبت به قبل توش دیده میشه یکی همین adt هست که فکر کنم درست نصب نمیشه چون پس از ریستارت ایکلیپس اون گزینه های بالای صفحه مربوط به اندروید نمیاد و تفاوت دومم اینه که فولدرappcompate_v7  برای ورژن های پایین اندروید در کنار فولدر اصلی پروژه ایجاد نمیشه:(


در ضمن باید بگم وقتی رو پروژه کلیک راست میکنم و گزینه properties رو اتنخاب میکنم در قسمت اندروید و library هیچ کتابخانه ای وجود نداره و وقتی روی add میزنم هیچی وجود نداره گفتم شاید به اینم ربط داشته باشه:-/

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام بی زحمت یه عکسی از قسمت install details/installed software بزارید

جواب سوالهایم را کامل ندادید ADT را به چه صورتی نصب کردید؟

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام بی زحمت یه عکسی از قسمت install details/installed software بزارید

جواب سوالهایم را کامل ندادید ADT را به چه صورتی نصب کردید؟

سلام خدمت شما دوست عزیز

من برای نصب adt طبق مراحل رفتم یعنی اول اونو دانلود کردم بعد تو منوی help قسمت install new software رو باز کردم آدرس فایل adt رو بهش دادم صبر کردم تا نصب شد و بعد برنامه خودکار ریستارت شد.

در قسمت install details این موارد نصبه: android DDMS  ,  android development tools  ,  android hierarchy viewer  ,  android native development tools  , android traceview  , eclipse IDE for java EE developers  ,  trace for openGL ES

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

عکس می زاشتین بهتر بود ورژنشون هم می خواستم ببینم ADT را از کجا دانلود کردین؟ پیشنهاد من اینه اگر سرعت اینترنت مناسبی دارید از سایت اصلی دانلود کنید البته باید فندوق شکن داشته باشید یک بار که اینجوری دانلود کردید می تونید از فایلها کپی بگیرید و یک جایی به عنوان Back up داشته باشید دفعه بعد که مشکلی پیش اومد دوباره از این ها استفاده کنید برای SDK  هم این کار را انجام دهید قبل از هر تغییری و آپدیتی یک نسخه back up داشته باشید در ضمن بهتره پوشه eclipse و sdk در کنار هم باشند همچنین از داخل eclipse باید sdk  مورد نظر را معرفی کنید این موارد را چک کنید

موفق باشید

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

عکس می زاشتین بهتر بود ورژنشون هم می خواستم ببینم ADT را از کجا دانلود کردین؟ پیشنهاد من اینه اگر سرعت اینترنت مناسبی دارید از سایت اصلی دانلود کنید البته باید فندوق شکن داشته باشید یک بار که اینجوری دانلود کردید می تونید از فایلها کپی بگیرید و یک جایی به عنوان Back up داشته باشید دفعه بعد که مشکلی پیش اومد دوباره از این ها استفاده کنید برای SDK  هم این کار را انجام دهید قبل از هر تغییری و آپدیتی یک نسخه back up داشته باشید در ضمن بهتره پوشه eclipse و sdk در کنار هم باشند همچنین از داخل eclipse باید sdk  مورد نظر را معرفی کنید این موارد را چک کنید

موفق باشید

ممنون از شما دوست عزیز

راستش اون فولدر appcompate_v7  که درست نمیشد با نصب یه کتابخانه تو sdk مشکلش حل شد اما حالا بازم یه سری ارور های تازه میده باید بگم که پس از این اتفاقات منم تصمیم گرفتم برم با فندق شکن از خود sdk دانلود کنم که تمام کتابخانه ها و اکثر api ها رو دانلود کردم اما بازم ارور میده ایکلیپس رو هم از سایت اصلیش دان کردم که اونم مشکل نداره فقط میمونه adt که نمیدونم سایت اصلیش چیه و از کجا دان کنم اما مطمانم adt ورژن 23 هست و حجمشم 98 مگ هست.

تو سایت های زیادی گشتم خارجی و ایرانی اکثر سایت های خارجی گفته بودن با افزودن کتابخانه درست میشه اما مال من بازم نشد تو این سایتو گشتم یکی از دوستان دقیقا مورد مشابه با منو داشت و مشکلش با من مو نمیزنه که لینکشو میذارم شاید دوستان بتونن کمکم کنن و از این دو هفته بیکاری در بیایم :huh:

http://p30droid.com/Thread-%D9%85%D8%B4%DA%A9%D9%84-%D8%A8%D8%A7-%D8%A7%DB%8C%D8%AC%D8%A7%D8%AF-%D9%BE%D8%B1%D9%88%DA%98%D9%87-%D8%AC%D8%AF%DB%8C%D8%AF

تمامی فولدر ها و ارور هایی که در عکسی که ایشون فرستاده برای منم وجود داره و مشکل منم دقیما همینه اما مشکل ایشون حل شده اما من از خود سایت اصلی هم که دانلود کدرم مشکلم حل نشد


دوباره این دوستمون هم مشکل منو داره

http://p30droid.com/Thread-%D8%AE%D8%B7%D8%A7-%D8%A8%D8%B9%D8%AF-%D8%A7%D8%B2-%D8%A7%DB%8C%D8%AC%D8%A7%D8%AF-%D9%BE%D8%B1%D9%88%DA%98%D9%87-%D8%AF%D8%B1-%D8%A7%DB%8C%DA%A9%D9%84%DB%8C%D9%BE%D8%B3

حداقل اگه این سایت یه مدیر کار بلد داره به ما کمک کنید الان کلی آدم معطل همین سوالن:(

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

با سلام خدمت همه دوستان

مشکلو حل کردم تمام عزیزانی که این مشکلو داشتن کتابخانه appcompate_v7 اونا مشکل داشته چه از خود گوگل دانلود کنید چه سایت دیگه حتما مشکل داشنته من خودم با فندق شکن از گوگل دانلود کردم اما مشکل داشت یعنی مشکل که نه ولی وقتی بخواید از اکشن بار تو پروژه هایی که api اونا پایین باشه استفاده کنید باید کتابخانه appcompate_v7 اکشن بار بهش اضاف شده باشه و یجورایی مود شده باشه پس اون کتابخانه اورجینال گوگل جواب نمیده.:shy:

خب من کتابخانه خودمو اینجا پیوست کردم اگه نخواستید میتونید از سایت های دیگه خودتون دانلود کنید و طبق آموزش امتحان کنید ببینید کی درست میشه:

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

با سلام خدمت همه دوستان

مشکلو حل کردم تمام عزیزانی که این مشکلو داشتن کتابخانه appcompate_v7 اونا مشکل داشته چه از خود گوگل دانلود کنید چه سایت دیگه حتما مشکل داشنته من خودم با فندق شکن از گوگل دانلود کردم اما مشکل داشت یعنی مشکل که نه ولی وقتی بخواید از اکشن بار تو پروژه هایی که api اونا پایین باشه استفاده کنید باید کتابخانه appcompate_v7 اکشن بار بهش اضاف شده باشه و یجورایی مود شده باشه پس اون کتابخانه اورجینال گوگل جواب نمیده.:shy:

خب من کتابخانه خودمو اینجا پیوست کردم اگه نخواستید میتونید از سایت های دیگه خودتون دانلود کنید و طبق آموزش امتحان کنید ببینید کی درست میشه:

خب اول باید فایل رو از حالت فشرده خارج کنید بعد یه فولدر دیگه داخلشه به نام appcompate که اونو باید کپی کنید (دقت کنید فولدر دیگه با این اسم توش نباشه)

بعد از این که اونو کپی کردید در مسیر جایی که ایکلیپس رو نصب کردید در فولدر extras > android > support > v7 اگه فولدری با نام appcompate وجود داشت اونو پاک کنید و اگه وجود نداشت فایلی رو که کپی کردید همونجا paste کنید. بعد وارد محیط اکلیپس بشید و از منوی فایل ایمپورت را انتخاب کنید و به همون مسیری که فایل رو ریختیم یعنی  extras > android > support > v7  برید و فولدر  appcompate رو انتخاب کنید و اونو به عنوان یه پروژه جدید باز کنید سپس روی اون راست کلیک کرده و گزینه properties رو انتخاب کنید و از سمت چپ صفحه android رو انتخاب کنید در قسمت پایین تیک گزینه is library رو بزنید و بعد ok رو انتخاب کنید.پروژه جدیدی بسازید روی فولدر پروژه کلیک راست کنید و گزینه properties رو انتخاب کنید و بعد مثل مرحله قبل android رو انتخاب کنید در قسمت پایین صفحه (قسمت library ) دقت کنید اگه is library تیک خورده اونو بر دارید و اگه در کادر پایینش چیزی وجود داره اونو remove کنید سپس روی گزینه add کلیک کنید و از بین کتابخانه ها نام پروژه ای که تو مرحله قبل ایمپورت کردیم و به عنوان کتابخانه انتخابش کردیمو اونو انتخاب کنید و بعد ok رو بزنید (حتما دقت کنید که تو این مرحله کتاب خانه دیگری جز اون که ایمپورت کردیمو انتخاب نکید وگرنه همه چیز به هم میریزه)

خب تبریک مشکل شما حل شد حالا میتونید یه پروژه جدید بسازید.

منم مشکل شما رو دارم ولی این مسیر رو ندارم

extras > android > support > v7

اینم پوشه ایی هست که ایکلیپس توشه

Untit1led.jpg.6abb7e4f139a7ee06babc06416b8e3e5.jpg

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

یه پوشه با همون مشخصات که دادین تو تاپیک درست کردم و در نهایت اون فایل رو ایمپورت کردم و طبق مراحلی که گفتین به پروژه جدید ساختم و ...

ولی چرا پروژه run نمیشه ارور میده؟

کلا برای اححرای یک پروژه باید چیکار کنیم؟از قبل شبیه ساز میخواد؟

من ساختم یه شبیه ساز AVD

چه چیرایی از شبیه ساز و پروژمون باید مشترک و یکسان باشه که پروژه run بشه

Untitlehhd.jpg.d0f6a4799f687d5ce27a63a7065a5a2c.jpg

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

درود بر شما

در اکلیپس به این آدرس برید

RUN > RUN CONFIGURATIONS > Android Application > [new_configuration]

ابتدا از بالای صفحه منوی run رو باز کنید بعد در قسمت سمت چپ صفحه روی Android Application  دبل کلیک کنید بعد زیرش new_configuration باز میشه روش کلیک کنید در پنجره باز شده در قسمت name نام پروژتون رو وارد کنید و در قسمت project گزینه browse رو بزنید و فایل پروژتون رو انتخاب کنید سپس در زیر اون

 گزینه lunch رو علامت بزنید و از منوی کشویی بقلش اکتیویتیتون رو انتخاب کنید در آخر گزینه apply رو بزنید

امید وارم مشکلتون حل شده باشه

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

پروژه که می سازم کلا مشکل اره و ارور داره و علامت ضربدر قرمز روی پوشه ی res میزنه

نمی دونم چکار کنم.

میشه یه پروژه ساده درست کنین و فایلشو بذارین برام ببینم اون مشکل دراه یا نه؟

چون من هر پروژه ای ایجاد میکنه همون اول کاری ارور داره

مرسی داداش

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

درود بر شما

دوست عزیز اگه روی فولدر res علامت ضربدر زده شما اون مراحلو که قبلا برای افزودن کتابخانه گفتم به درستی نرفتی بهتره توی قسمت problem از ارور هایی که داده عکس بذارید

اینم فایل یه پروژه خالی و ساده از من که هر دو فولدر پروژه رو براتون توی یه فایل zip ریختم

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام مرسی

از این دو تا چطوری استفاده کنم تو کدوم بریزمشون؟

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

هر دوتا فایل رو به عنوان یک پروژه به اکلیپس ایمپورت کنید

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

با سلام خدمت همه دوستان

مشکلو حل کردم تمام عزیزانی که این مشکلو داشتن کتابخانه appcompate_v7 اونا مشکل داشته چه از خود گوگل دانلود کنید چه سایت دیگه حتما مشکل داشنته من خودم با فندق شکن از گوگل دانلود کردم اما مشکل داشت یعنی مشکل که نه ولی وقتی بخواید از اکشن بار تو پروژه هایی که api اونا پایین باشه استفاده کنید باید کتابخانه appcompate_v7 اکشن بار بهش اضاف شده باشه و یجورایی مود شده باشه پس اون کتابخانه اورجینال گوگل جواب نمیده.:shy:

خب من کتابخانه خودمو اینجا پیوست کردم اگه نخواستید میتونید از سایت های دیگه خودتون دانلود کنید و طبق آموزش امتحان کنید ببینید کی درست میشه:

خب اول باید فایل رو از حالت فشرده خارج کنید بعد یه فولدر دیگه داخلشه به نام appcompate که اونو باید کپی کنید (دقت کنید فولدر دیگه با این اسم توش نباشه)

بعد از این که اونو کپی کردید در مسیر جایی که ایکلیپس رو نصب کردید در فولدر extras > android > support > v7 اگه فولدری با نام appcompate وجود داشت اونو پاک کنید و اگه وجود نداشت فایلی رو که کپی کردید همونجا paste کنید. بعد وارد محیط اکلیپس بشید و از منوی فایل ایمپورت را انتخاب کنید و به همون مسیری که فایل رو ریختیم یعنی  extras > android > support > v7  برید و فولدر  appcompate رو انتخاب کنید و اونو به عنوان یه پروژه جدید باز کنید سپس روی اون راست کلیک کرده و گزینه properties رو انتخاب کنید و از سمت چپ صفحه android رو انتخاب کنید در قسمت پایین تیک گزینه is library رو بزنید و بعد ok رو انتخاب کنید.پروژه جدیدی بسازید روی فولدر پروژه کلیک راست کنید و گزینه properties رو انتخاب کنید و بعد مثل مرحله قبل android رو انتخاب کنید در قسمت پایین صفحه (قسمت library ) دقت کنید اگه is library تیک خورده اونو بر دارید و اگه در کادر پایینش چیزی وجود داره اونو remove کنید سپس روی گزینه add کلیک کنید و از بین کتابخانه ها نام پروژه ای که تو مرحله قبل ایمپورت کردیم و به عنوان کتابخانه انتخابش کردیمو اونو انتخاب کنید و بعد ok رو بزنید (حتما دقت کنید که تو این مرحله کتاب خانه دیگری جز اون که ایمپورت کردیمو انتخاب نکید وگرنه همه چیز به هم میریزه)

خب تبریک مشکل شما حل شد حالا میتونید یه پروژه جدید بسازید.

agha like dari manam 3 roz bod moshkelam ein bod ke ba komake shoma hal shod

bazam mamnonam

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام دوست من انجام دادم ولی بازم خطای قبل رو میده

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام

آقا من این مسیر  extras > android > support > v7 رو توی پوشه eclipse پیدا نمیکنم !!

دقیقا مثه همین عکسی که جناب azad16 گذاشتن !

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام

آقا من این مسیر  extras > android > support > v7 رو توی پوشه eclipse پیدا نمیکنم !!

دقیقا مثه همین عکسی که جناب azad16 گذاشتن !

کسی نبود کمکم کنه ؟؟؟؟ این مسیرو چجوری پیدا کنم؟؟؟

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام

آقا من این مسیر  extras > android > support > v7 رو توی پوشه eclipse پیدا نمیکنم !!

دقیقا مثه همین عکسی که جناب azad16 گذاشتن !

کسی نبود کمکم کنه ؟؟؟؟ این مسیرو چجوری پیدا کنم؟؟؟

سلام دوست عزیر.این مسیر در eclipse نیست .دنبالش نگرد.درستش اینه 

\sdk\extras\android\support\v7\appcompat

باید در مسیر sdk manager کپی کنی.انشالا مشکلت حل میشه

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

داداش منمون از توضیحاتت ولی من فایلتو کپی کردم ولی نتونستم تو لایبری که گفتی وارد کنم دقیقتر میگی

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

با سلام خدمت همه دوستان

مشکلو حل کردم تمام عزیزانی که این مشکلو داشتن کتابخانه appcompate_v7 اونا مشکل داشته چه از خود گوگل دانلود کنید چه سایت دیگه حتما مشکل داشنته من خودم با فندق شکن از گوگل دانلود کردم اما مشکل داشت یعنی مشکل که نه ولی وقتی بخواید از اکشن بار تو پروژه هایی که api اونا پایین باشه استفاده کنید باید کتابخانه appcompate_v7 اکشن بار بهش اضاف شده باشه و یجورایی مود شده باشه پس اون کتابخانه اورجینال گوگل جواب نمیده.:shy:

خب من کتابخانه خودمو اینجا پیوست کردم اگه نخواستید میتونید از سایت های دیگه خودتون دانلود کنید و طبق آموزش امتحان کنید ببینید کی درست میشه:

خب اول باید فایل رو از حالت فشرده خارج کنید بعد یه فولدر دیگه داخلشه به نام appcompate که اونو باید کپی کنید (دقت کنید فولدر دیگه با این اسم توش نباشه)

بعد از این که اونو کپی کردید در مسیر جایی که ایکلیپس رو نصب کردید در فولدر extras > android > support > v7 اگه فولدری با نام appcompate وجود داشت اونو پاک کنید و اگه وجود نداشت فایلی رو که کپی کردید همونجا paste کنید. بعد وارد محیط اکلیپس بشید و از منوی فایل ایمپورت را انتخاب کنید و به همون مسیری که فایل رو ریختیم یعنی  extras > android > support > v7  برید و فولدر  appcompate رو انتخاب کنید و اونو به عنوان یه پروژه جدید باز کنید سپس روی اون راست کلیک کرده و گزینه properties رو انتخاب کنید و از سمت چپ صفحه android رو انتخاب کنید در قسمت پایین تیک گزینه is library رو بزنید و بعد ok رو انتخاب کنید.پروژه جدیدی بسازید روی فولدر پروژه کلیک راست کنید و گزینه properties رو انتخاب کنید و بعد مثل مرحله قبل android رو انتخاب کنید در قسمت پایین صفحه (قسمت library ) دقت کنید اگه is library تیک خورده اونو بر دارید و اگه در کادر پایینش چیزی وجود داره اونو remove کنید سپس روی گزینه add کلیک کنید و از بین کتابخانه ها نام پروژه ای که تو مرحله قبل ایمپورت کردیم و به عنوان کتابخانه انتخابش کردیمو اونو انتخاب کنید و بعد ok رو بزنید (حتما دقت کنید که تو این مرحله کتاب خانه دیگری جز اون که ایمپورت کردیمو انتخاب نکید وگرنه همه چیز به هم میریزه)

خب تبریک مشکل شما حل شد حالا میتونید یه پروژه جدید بسازی

سلام دوست عزیز

منم این مشکل رو دارم همه اینکارهاو درست انجام دادم بازم مشکل حل نشد ک نشد

کمممممممممممممممممممممممممک

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

با سلام خدمت همه دوستان

مشکلو حل کردم تمام عزیزانی که این مشکلو داشتن کتابخانه appcompate_v7 اونا مشکل داشته چه از خود گوگل دانلود کنید چه سایت دیگه حتما مشکل داشنته من خودم با فندق شکن از گوگل دانلود کردم اما مشکل داشت یعنی مشکل که نه ولی وقتی بخواید از اکشن بار تو پروژه هایی که api اونا پایین باشه استفاده کنید باید کتابخانه appcompate_v7 اکشن بار بهش اضاف شده باشه و یجورایی مود شده باشه پس اون کتابخانه اورجینال گوگل جواب نمیده.:shy:

خب من کتابخانه خودمو اینجا پیوست کردم اگه نخواستید میتونید از سایت های دیگه خودتون دانلود کنید و طبق آموزش امتحان کنید ببینید کی درست میشه:

خب اول باید فایل رو از حالت فشرده خارج کنید بعد یه فولدر دیگه داخلشه به نام appcompate که اونو باید کپی کنید (دقت کنید فولدر دیگه با این اسم توش نباشه)

بعد از این که اونو کپی کردید در مسیر جایی که ایکلیپس رو نصب کردید در فولدر extras > android > support > v7 اگه فولدری با نام appcompate وجود داشت اونو پاک کنید و اگه وجود نداشت فایلی رو که کپی کردید همونجا paste کنید. بعد وارد محیط اکلیپس بشید و از منوی فایل ایمپورت را انتخاب کنید و به همون مسیری که فایل رو ریختیم یعنی  extras > android > support > v7  برید و فولدر  appcompate رو انتخاب کنید و اونو به عنوان یه پروژه جدید باز کنید سپس روی اون راست کلیک کرده و گزینه properties رو انتخاب کنید و از سمت چپ صفحه android رو انتخاب کنید در قسمت پایین تیک گزینه is library رو بزنید و بعد ok رو انتخاب کنید.پروژه جدیدی بسازید روی فولدر پروژه کلیک راست کنید و گزینه properties رو انتخاب کنید و بعد مثل مرحله قبل android رو انتخاب کنید در قسمت پایین صفحه (قسمت library ) دقت کنید اگه is library تیک خورده اونو بر دارید و اگه در کادر پایینش چیزی وجود داره اونو remove کنید سپس روی گزینه add کلیک کنید و از بین کتابخانه ها نام پروژه ای که تو مرحله قبل ایمپورت کردیم و به عنوان کتابخانه انتخابش کردیمو اونو انتخاب کنید و بعد ok رو بزنید (حتما دقت کنید که تو این مرحله کتاب خانه دیگری جز اون که ایمپورت کردیمو انتخاب نکید وگرنه همه چیز به هم میریزه)

خب تبریک مشکل شما حل شد حالا میتونید یه پروژه جدید بسازی

سلام دوست عزیز

منم این مشکل رو دارم همه اینکارهاو درست انجام دادم بازم مشکل حل نشد ک نشد

کمممممممممممممممممممممممممک

اگه تو ایکلیپس که ولش کن که دیگه کتابخونه اش خیلی اذیت میکنه برو استودیو راحتتری دیگه

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری